### Function

# Babl format_get_type

#### Declaration [src]

    const Babl*
    babl_format_get_type (
      const Babl* format,
      int component_index
    )

#### Description [src]

Returns the type in the given `format` for the given `component_index`.

#### Parameters

`format`

  Type: `Babl`

  No description available.

  The data is owned by the caller of the function.

`component_index`

  Type: `int`

  No description available.

#### Return value

Type: `Babl`

No description available.

The data is owned by the called function.